<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $marca = $_POST['marca'];
    $proc = $_POST['proc'];
    $des_proc = $_POST['des_proc'];
    $select=$pdo_sgt->prepare("SELECT * FROM tb_proc WHERE proc=:proc");
    $select->bindValue(":proc",$proc);
    $select->execute();
    $array = $select->fetch(PDO::FETCH_ASSOC);
    if($array['proc'] == $proc){
        echo"<script language='javascript' type='text/javascript'>
            alert('Este Processador já existe!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }
    else{
        $query_ = "INSERT INTO tb_proc (marca,proc,des_proc) VALUES (:marca,:proc,:des_proc)";
        $query=$pdo_sgt->prepare("$query_");
        $query->bindValue(":marca",$marca);
        $query->bindValue(":proc",$proc);
        $query->bindValue(":des_proc",$des_proc);
        $query->execute();
        $mensagem = "Dados inseridos na tabela: tb_proc - Para os campos: marca, proc, des_proc - Com os seguintes valores: $marca, $proc, $des_proc.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.location.href='list_proc.php';
        </script>";
    }	
?>